Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(123)

Issue 234583003: Add a command line switch --enable-consumer-management. (Closed)

Created:
6 years, 7 months ago by davidyu
Modified:
6 years, 7 months ago
CC:
chromium-reviews, dbeam+watch-options_chromium.org, stevenjb+watch_chromium.org, arv+watch_chromium.org, oshima+watch_chromium.org, bartfab (slow)
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Visibility:
Public.

Description

Add a command line switch --enable-consumer-management. Add a security section and a consumer management enroll button in the settings page and make it hidden behind the command line switch. Rename the original security section in the settings page to "certificates", as that is what it is. BUG=353050 TEST=manual Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=264480

Patch Set 1 #

Patch Set 2 : #

Total comments: 4

Patch Set 3 : Fix the comment #

Total comments: 6

Patch Set 4 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+63 lines, -4 lines) Patch
M chrome/app/chromeos_strings.grdp View 1 2 3 1 chunk +11 lines, -0 lines 0 comments Download
M chrome/app/generated_resources.grd View 1 chunk +1 line, -1 line 0 comments Download
M chrome/browser/chromeos/login/chrome_restart_request.cc View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chrome/browser/resources/options/browser_options.html View 2 chunks +12 lines, -1 line 0 comments Download
M chrome/browser/resources/options/browser_options.js View 1 chunk +9 lines, -0 lines 0 comments Download
M chrome/browser/ui/webui/options/browser_options_handler.h View 1 2 3 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/browser/ui/webui/options/browser_options_handler.cc View 1 2 3 7 chunks +21 lines, -2 lines 0 comments Download
M chromeos/chromeos_switches.h View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
M chromeos/chromeos_switches.cc View 1 2 3 1 chunk +4 lines, -0 lines 0 comments Download

Messages

Total messages: 12 (0 generated)
davidyu
Hi Dan, I am adding a button in the settings page for the new feature. ...
6 years, 7 months ago (2014-04-11 07:32:19 UTC) #1
davidyu
cc bartfab@
6 years, 7 months ago (2014-04-14 02:48:11 UTC) #2
bartfab (slow)
lgtm https://codereview.chromium.org/234583003/diff/20001/chrome/browser/ui/webui/options/browser_options_handler.cc File chrome/browser/ui/webui/options/browser_options_handler.cc (right): https://codereview.chromium.org/234583003/diff/20001/chrome/browser/ui/webui/options/browser_options_handler.cc#newcode1567 chrome/browser/ui/webui/options/browser_options_handler.cc:1567: // TODO(davidyu): implement. Nit 1: Capitalize start of ...
6 years, 7 months ago (2014-04-15 13:57:53 UTC) #3
davidyu
Hi Dan, can you please take a look? Thanks! https://codereview.chromium.org/234583003/diff/20001/chrome/browser/ui/webui/options/browser_options_handler.cc File chrome/browser/ui/webui/options/browser_options_handler.cc (right): https://codereview.chromium.org/234583003/diff/20001/chrome/browser/ui/webui/options/browser_options_handler.cc#newcode1567 chrome/browser/ui/webui/options/browser_options_handler.cc:1567: ...
6 years, 7 months ago (2014-04-16 02:03:47 UTC) #4
Dan Beam
lgtm, but can you mention what else this CL does (e.g. "adds a Security section ...
6 years, 7 months ago (2014-04-16 23:22:02 UTC) #5
davidyu
I think I have described every change this CL does in the issue description. For ...
6 years, 7 months ago (2014-04-17 01:14:54 UTC) #6
Dan Beam
On 2014/04/17 01:14:54, davidyu wrote: > I think I have described every change this CL ...
6 years, 7 months ago (2014-04-17 01:29:21 UTC) #7
davidyu
Hi Nikita, Can you help reviewing chrome/browser/chromeos/login/chrome_restart_request.cc? Thanks!
6 years, 7 months ago (2014-04-17 01:38:57 UTC) #8
Nikita (slow)
lgtm
6 years, 7 months ago (2014-04-17 04:51:19 UTC) #9
davidyu
The CQ bit was checked by davidyu@chromium.org
6 years, 7 months ago (2014-04-17 04:54:50 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/davidyu@chromium.org/234583003/60001
6 years, 7 months ago (2014-04-17 04:55:01 UTC) #11
commit-bot: I haz the power
6 years, 7 months ago (2014-04-17 12:25:15 UTC) #12
Message was sent while issue was closed.
Change committed as 264480

Powered by Google App Engine
This is Rietveld 408576698